public interface ListGroupStatsResponseOrBuilder
extends com.google.protobuf.MessageOrBuilder
| Modifier and Type | Method and Description |
|---|---|
ErrorGroupStats |
getErrorGroupStats(int index)
The error group stats which match the given request.
|
int |
getErrorGroupStatsCount()
The error group stats which match the given request.
|
java.util.List<ErrorGroupStats> |
getErrorGroupStatsList()
The error group stats which match the given request.
|
ErrorGroupStatsOrBuilder |
getErrorGroupStatsOrBuilder(int index)
The error group stats which match the given request.
|
java.util.List<? extends ErrorGroupStatsOrBuilder> |
getErrorGroupStatsOrBuilderList()
The error group stats which match the given request.
|
java.lang.String |
getNextPageToken()
If non-empty, more results are available.
|
com.google.protobuf.ByteString |
getNextPageTokenBytes()
If non-empty, more results are available.
|
com.google.protobuf.Timestamp |
getTimeRangeBegin()
The timestamp specifies the start time to which the request was restricted.
|
com.google.protobuf.TimestampOrBuilder |
getTimeRangeBeginOrBuilder()
The timestamp specifies the start time to which the request was restricted.
|
boolean |
hasTimeRangeBegin()
The timestamp specifies the start time to which the request was restricted.
|
findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneofjava.util.List<ErrorGroupStats> getErrorGroupStatsList()
The error group stats which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats error_group_stats = 1;ErrorGroupStats getErrorGroupStats(int index)
The error group stats which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats error_group_stats = 1;int getErrorGroupStatsCount()
The error group stats which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats error_group_stats = 1;java.util.List<? extends ErrorGroupStatsOrBuilder> getErrorGroupStatsOrBuilderList()
The error group stats which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats error_group_stats = 1;ErrorGroupStatsOrBuilder getErrorGroupStatsOrBuilder(int index)
The error group stats which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats error_group_stats = 1;java.lang.String getNextPageToken()
If non-empty, more results are available. Pass this token, along with the same query parameters as the first request, to view the next page of results.
string next_page_token = 2;com.google.protobuf.ByteString getNextPageTokenBytes()
If non-empty, more results are available. Pass this token, along with the same query parameters as the first request, to view the next page of results.
string next_page_token = 2;boolean hasTimeRangeBegin()
The timestamp specifies the start time to which the request was restricted. The start time is set based on the requested time range. It may be adjusted to a later time if a project has exceeded the storage quota and older data has been deleted.
.google.protobuf.Timestamp time_range_begin = 4;com.google.protobuf.Timestamp getTimeRangeBegin()
The timestamp specifies the start time to which the request was restricted. The start time is set based on the requested time range. It may be adjusted to a later time if a project has exceeded the storage quota and older data has been deleted.
.google.protobuf.Timestamp time_range_begin = 4;com.google.protobuf.TimestampOrBuilder getTimeRangeBeginOrBuilder()
The timestamp specifies the start time to which the request was restricted. The start time is set based on the requested time range. It may be adjusted to a later time if a project has exceeded the storage quota and older data has been deleted.
.google.protobuf.Timestamp time_range_begin = 4;